Subject: bug#24441: 24.5; rename directory in dired to change case

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Sep 2016 17:31:57 +0300

> From: Andreas Schwab <[email-masked]>
> Date: Thu, 15 Sep 2016 11:28:25 +0200
> Cc: [email-masked]
> 
> On Sep 15 2016, Brady Trainor <[email-masked]> wrote:
> 
> > If I have a directory `a', and try to rename it `A' in dired, it errors.
> >
> > `(file-error Renaming Invalid argument /tmp/a /tmp/A/a)'. 
> 
> That's because your filesystem is case-insensitve, thus /tmp/A already
> exists.

Right.  This is a duplicate of bug#22300.  As explained there, patches
are welcome to introduce a run-time test for case-sensitivity of the
underlying filesystem, which then could enable on Darwin the same code
as we already use on MS-Windows.